This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1303497 - Broken upgrade path due to missing obsoletes
Broken upgrade path due to missing obsoletes
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: llvm (Show other bugs)
24
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Tom Stellard
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-31 23:26 EST by Mattias Ellert
Modified: 2017-08-08 08:43 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:43:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2016-01-31 23:26:02 EST
Description of problem:

The new llvm version has dropped the llvm-static sub-package - which is a good thing. But the new llvm-libs package does not obsolete the dropped sub-package, which breaks the upgrade path:

# dnf update --refresh --best
Last metadata expiration check performed 0:00:00 ago on Mon Feb  1 05:22:07 2016.
Error: package llvm-static-3.7.0-4.fc24.x86_64 requires llvm-devel(x86-64) = 3.7.0-4.fc24, but none of the providers can be installed.

Version-Release number of selected component (if applicable):
llvm-libs-3.7.1-1.fc24

How reproducible:
Always

Steps to Reproduce:
1. Try updating to the latest llvm package with the llvm-static package installed.

Actual results:
See above

Expected results:
Successful update - llvm-static being obsoleted by llvm-libs and removed by the update.
Comment 1 Mattias Ellert 2016-02-14 17:39:33 EST
For some reason the llvm-static package is back, so there are no longer any missing obsoletes. However, the reintroduced llvm-static package is missing a fully qualified dependency on the llvm-devel package.

During update the llvm packages were held back due to broken deps (packages installed that depend on the mysteriously vanishing llvm shared libraries). However, llvm-static was updated anyway due to the missing requires resulting in a system with the llvm-static package having a different version-release than the other llvm packages.
Comment 2 Jan Kurik 2016-02-24 10:46:59 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Tom Stellard 2017-03-13 07:07:24 EDT
Why should llvm-static depend on llvm-devel?
Comment 4 Igor Gnatenko 2017-03-13 07:09:03 EDT
It definitely should not and if your packages are out of sync, it's not packaging problem.
Comment 5 Mattias Ellert 2017-03-13 08:01:10 EDT
https://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Static_Libraries_2

"If the *-static subpackage requires headers or other files from *-devel in order to be useful it must require the *-devel subpackage."

Without a strict versioned requires, you risk to get static libraries from one versions and headers and other development files such as cmake files from another version.
Comment 6 Fedora Admin XMLRPC Client 2017-05-04 09:57:16 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora End Of Life 2017-07-25 15:52:41 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2017-08-08 08:43:46 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.